textures/common/ladder2
{
	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm playerclip
	surfaceparm skip
	surfaceparm ladder
}

textures/common/hintskip
{
	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm skip
}

textures/mario_atmosphere/sky_blue
{
    qer_editorimage textures/mario_atmosphere/sky_blue.tga
    q3map_lightmapFilterRadius 0 4
    q3map_lightsubdivide 768
    q3map_backsplash 0 0

    q3map_sunEXT 1 0.788 0.347 150 100 50 2 12
    q3map_skyLight 550 4
    q3map_lightRGB 0.95 0.95 1 

    q3map_noFog

    surfaceparm sky
    surfaceparm noimpact
    surfaceparm nolightmap
    surfaceparm nomarks
    surfaceparm nodlight

    skyparms textures/mario_atmosphere/sky_blue 1024 -

    nopicmip
    nomipmaps

	{
		map textures/mario_atmosphere/sky_clouds.tga
		blendFunc blend
		tcMod scroll 0.003 0.003
		tcMod scale 3 2
	}
}

textures/mario_atmosphere/black_nosolid
{
	qer_editorimage textures/mario_atmosphere/black.tga
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm nomarks
	{
		map textures/mario_atmosphere/black.tga
	}
}

textures/mario_atmosphere/cloud
{
	qer_editorimage textures/mario_atmosphere/cloud.tga
	surfaceparm nomarks
	surfaceparm trans
	{
		map textures/mario_atmosphere/cloud.tga
		blendFunc blend
	}
}

textures/mario_atmosphere/berrybush
{
	qer_editorimage textures/mario_atmosphere/berrybush.tga
	surfaceparm nomarks
	surfaceparm trans
	{
		map textures/mario_atmosphere/berrybush.tga
		depthWrite
		alphaFunc GT0
	}
	{
		map $lightmap
		rgbGen identity
		depthFunc equal
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/mario_atmosphere/pipe_green
{
	qer_editorimage textures/mario_atmosphere/pipe_green.tga
	surfaceparm steel
	{
		map textures/mario_atmosphere/pipe_green.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/mario_blocks/brick_bluegray
{
	qer_editorimage textures/mario_blocks/brick_bluegray.tga
	surfaceparm cement
	{
		map textures/mario_blocks/brick_bluegray.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/mario_blocks/brick_brick_gray
{
	qer_editorimage textures/mario_blocks/brick_brick_gray.tga
	surfaceparm brick
	{
		map textures/mario_blocks/brick_brick_gray.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/mario_blocks/brick_brick
{
	qer_editorimage textures/mario_blocks/brick_brick.tga
	surfaceparm brick
	{
		map textures/mario_blocks/brick_brick.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/mario_blocks/box_question_2_top
{
	qer_editorimage textures/mario_blocks/box_question_2_top.tga
	surfaceparm steel
	{
		map textures/mario_blocks/box_question_2_top.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/mario_blocks/box_question_2
{
	qer_editorimage textures/mario_blocks/box_question_2.tga
	surfaceparm steel
    {
        map textures/mario_blocks/box_question_mark.tga
        rgbGen identity
        tcMod scroll -0.350 0
    }
	{
		map textures/mario_blocks/box_question_2.tga
		rgbGen identity
		alphaFunc GE128
		blendFunc blend
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/mario_terrain/stalk_head
{
	qer_editorimage textures/mario_terrain/stalk_head.tga
	{
		map textures/mario_terrain/stalk_head.tga
		depthWrite
		alphaFunc GT0
	}
	{
		map $lightmap
		rgbGen identity
		depthFunc equal
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/mario_terrain/stalk_vine
{
	qer_editorimage textures/mario_terrain/stalk_vine.tga
	{
		map textures/mario_terrain/stalk_vine.tga
		depthWrite
		alphaFunc GT0
	}
	{
		map $lightmap
		rgbGen identity
		depthFunc equal
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/mario_terrain/lava
{
	qer_editorimage textures/mario_terrain/lava.tga
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm lava

	q3map_tesssize 64
    deformVertexes wave 64 sin .5 .9 0 .5    
	q3map_lightimage textures/mario_terrain/lava.tga
	q3map_surfacelight 500
	{
		map textures/mario_terrain/lava.tga
		tcMod scale 1.00 1.00
		tcMod turb 0 0.10 0 0.05
	}
	{
		map textures/mario_terrain/lava_2.tga
		tcMod scale 0.55 0.55
		tcMod turb 0 0.55 0 0.04
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}	
}

textures/mario_terrain/dirt_grass
{
    qer_editorimage textures/mario_terrain/dirt_grass.tga
	surfaceparm grass
    {
        map textures/mario_terrain/dirt_grass.tga
    }
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/mario_terrain/grass
{
    qer_editorimage textures/mario_terrain/grass.tga
	surfaceparm grass
    {
        map textures/mario_terrain/grass.tga
    }
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/mario_terrain/snow
{
    qer_editorimage textures/mario_terrain/snow.tga
	surfaceparm snow
    {
        map textures/mario_terrain/snow.tga
    }
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/mario_terrain/dirt_snow
{
    qer_editorimage textures/mario_terrain/dirt_snow.tga
	surfaceparm snow
    {
        map textures/mario_terrain/dirt_snow.tga
    }
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/mario_terrain/dirt
{
    qer_editorimage textures/mario_terrain/dirt.tga
    surfaceparm dust
	surfaceparm dirt
    {
        map textures/mario_terrain/dirt.tga
    }
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/mario_blocks/brick_gold_shiny
{
	qer_editorimage textures/mario_blocks/brick_brick_gold.tga
	surfaceparm steel
	{
		map textures/mario_blocks/block_gold.tga
		rgbGen identity
	}
	{
		map textures/mario_blocks/sfx_highshine.tga
		rgbGen identity
		tcGen environment
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/mario_blocks/brick_pattern.tga
		rgbGen identity
		blendFunc blend
	}
    {
        map $lightmap
        rgbGen identity
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/mario_blocks/block_ice
{
	qer_editorimage textures/mario_blocks/block_ice.tga
	surfaceparm slick
	surfaceparm ice
	{
		map textures/mario_blocks/block_ice.tga
		rgbGen identity
		blendFunc blend
	}
	{
		map textures/mario_blocks/sfx_ice.tga
		rgbGen identity
		tcGen environment
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/mario_blocks/block_eyes
{
	qer_editorimage textures/mario_blocks/block_eyes.tga
	surfaceparm nolightmap
	surfaceparm tin
	{
		map textures/mario_blocks/block_eyes.tga
	}
}

textures/mario_blocks/block_eyes_trans
{
	qer_editorimage textures/mario_blocks/block_eyes_trans.tga
	qer_trans 0.99
	surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm nomarks
	{
		map textures/mario_blocks/block_eyes_trans.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

